function output(index,pars1,pars2,aged)

if exist('index','var')==0
   index = 0;
end
if exist('pars1','var')==0
   pars1 = ones(27,1);
end
if exist('pars2','var')==0
   pars2 = ones(24,1);
end
if exist('aged','var')==0
   aged = 0;
end
%pars:   1.Number of bacteria.
%        2.Number of macrophages.
%        3.Chemokine diffusion constant.
%        4.Antigens per bacteria.
%        5.Movement in sessile phase.
%        6.Movement in flowing phase.
%        7.Radial flow.
%        8.Bacteria dobling time.
%        9.Probability interchanged.
%       10.Macrophage movement.
%       11.Phagocytosys rate.
%       12.Maximum bacteria per macrophage.
%       13.Distance to sense the metabolic gradient.
%       14.Time when bacteria have half of the capsule built.
%       15.Kinetic constant of monocyte recruitment.*
%       16.Threthold to recruit monocytes.**
%       17.Maximal monocyte recruitment.*
%       18.Kinetic constant of neutrophils recruitment.*
%       19.Threthold to recruit neutrophils.**
%       20.Maximal neutrophils recruitment.*
%       21.Neutrophils half-life in hours.
%       22.Weitgh of damage on the recruitment of neutrophils.
%       23.Threshold of the effect of the capsule on change of phase, between 0 and 1.
%       24.Probability of bacteria to die because of complement and antibiotics, between 0 and 1.
%       25.Barrier damage constant by neutrophils,
%       26.Barrier restoration constant by neutrophils. 
%       27.Delay in hours to give the antibiotics.
%pars2: 1.kirak1syn
%       2.kyrak1deg
%       3.kirak1ph
%       4.kirak1ph2
%       5.kirak1pdeg
%       6.kikksyn
%       7.kikkdeg
%       8.kikkact
%       9.kikkadeg
%       10.knfkbgain
%       11.knfkbloss
%       12.kmikbatransc
%       13.kmikbadeg
%       14.kikbatransl
%       15.kikbaloss
%       16.kmil8transc1
%       17.kmil8transc2
%       18.kmil8deg
%       19.kil8transl
%       20.kil8deg
%       21.K1
%       22.K2
%       23.K3
%       24.Ntot

load datos2.mat %time data(bacteria,barrier,neutrophils,monocytes,macrophages)
fig    = figure('visible','off');
seeds  = [6083,1744,9877,9299,7803,439,2628,3004,9099,8936];
N      = length(seeds);


BacSim = zeros(24*6,N);
MacSim = zeros(24*6,N);
MonSim = zeros(24*6,N);
NeuSim = zeros(24*6,N);
DamSim = zeros(24*6,N);
OutSim = zeros(24*6,N);
McpSim = zeros(24*6,N); 
CxcSim = zeros(24*6,N); 
pneSim = zeros(24*6,N); 
il8Sim = zeros(24*6,N); 

if aged == 1
    pars1(19) = 0.2; %Simulated aged mice
end

for n = 1:N  
    seed                                                     = seeds(n);
	[NBa,NBf,NUMMAC,NUMMON,NUMNEU,DAMAGE,MCP1T,CXCL5T,MACLIFE,PneumoT,IL8T,T,INF,OUTBAC]= AlveolusExtended([],pars1,pars2,seed,n); 
    DAMAGE                                                   = sum(DAMAGE,2); 
    BacSim(:,n)                                              = NBa+NBf;
    MacSim(:,n)                                              = NUMMAC;
    MonSim(:,n)                                              = NUMMON;
    NeuSim(:,n)                                              = NUMNEU;
    DamSim(:,n)                                              = DAMAGE;
    OutSim(:,n)                                              = OUTBAC;
	McpSim(:,n)                                              = sum(abs(MCP1T),2); 
	CxcSim(:,n)                                              = sum(abs(CXCL5T),2); 
    pneSim(:,n)                                              = sum(abs(PneumoT),2); 
    il8Sim(:,n)                                              = sum(abs(IL8T),2); 
end

nombreS = strcat('SolutionIndex_',num2str(index),'_',num2str(aged),'.mat'); 
save(nombreS,'T','BacSim','MacSim','MonSim','NeuSim','DamSim','OutSim','McpSim','pneSim','il8Sim','CxcSim') 

nombreS0 = strcat('T_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS1 = strcat('BacSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS2 = strcat('MacSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS3 = strcat('MonSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS4 = strcat('NeuSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS5 = strcat('DamSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS6 = strcat('OutSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS7 = strcat('McpSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS8 = strcat('pneSim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS9 = strcat('il8Sim_',num2str(index),'_',num2str(aged),'.csv'); 
nombreS10 = strcat('CxcSim_',num2str(index),'_',num2str(aged),'.csv'); 

csvwrite(nombreS0,T) 
csvwrite(nombreS1,BacSim) 
csvwrite(nombreS2,MacSim) 
csvwrite(nombreS3,MonSim) 
csvwrite(nombreS4,NeuSim) 
csvwrite(nombreS5,DamSim) 
csvwrite(nombreS6,OutSim) 
csvwrite(nombreS7,McpSim) 
csvwrite(nombreS8,pneSim) 
csvwrite(nombreS9,il8Sim) 
csvwrite(nombreS10,CxcSim) 

end

